| optoICC

Loading...
Searching...
No Matches
optoICC.registers.boardEEPROM_registers.ECC1cBoardEEPROM Class Reference

Parent class => BoardEEPROM
More...

Inheritance diagram for optoICC.registers.boardEEPROM_registers.ECC1cBoardEEPROM:

## Public Member Functions
| __init__ (self, board=None)
| GetEepromVersion (self)
| Gets board EEPROM version.
| GetEepromSubVersion (self)
| Gets board EEPROM subversion.
| GetSerialNumber (self)
| Gets board serial number.
| GetI2Caddr (self)
| Gets board I2C address.
| SetI2Caddr (self, addr)
| Sets board I2C address.
| SetPWMenableChanMask (self, mask)
| Enables output PWM driver IC on channel (bitwise), 0 bit = channel 0, 1 bit = channel 1, ...
| GetPWMenableChanMask (self)
| Gets flag which enables output PWM driver IC on channel (bitwise), 0 bit = channel 0, 1 bit = channel 1, ...
| SetDeviceDetectChanMask (self, val)
| Enables device autodetection (bitwise), 0 bit = channel 0, 1 bit = channel 1, ...
| GetDeviceDetectChanMask (self)
| Gets device autodetection flag (bitwise), 0 bit = channel 0, 1 bit = channel 1, ...
| SetDevice3V3chanMask (self, val)
| Enables device 3V3 startup state on channel (bitwise), 0 bit = channel 0, 1 bit = channel 1, ...
| GetDevice3V3chanMask (self)
| Gets device 3V3 startup state flag on channel (bitwise), 0 bit = channel 0, 1 bit = channel 1, ...
| SetPStempLimit (self, val)
| Sets power supply temperature limit for shutdown.
| GetPStempLimit (self)
| Gets power supply temperature limit for shutdown.
| SetPStempHyst (self, val)
| Sets power supply temperature hysteresis for restart.
| GetPStempHyst (self)
| Gets power supply temperature hysteresis for restart.
| SetOStempLimit (self, val)
| Sets output stage temperature limit for shutdown.
| GetOStempLimit (self)
| Gets output stage temperature limit for shutdown.
| SetOStempHyst (self, val)
| Sets output stage temperature hysteresis for restart.
| GetOStempHyst (self)
| Gets output stage temperature hysteresis for restart.
| GetCalTimestamp (self)
| Gets board calibration timestamp.
| SetAutoConfig (self, val)
| GetAutoConfig (self)
| SetControlSetup (self, addr)
| GetControlSetup (self)
| SetSlaveNumOfRegisters (self, addr)
| GetSlaveNumOfRegisters (self)
| SetPowerOnDelay (self, val)
| GetPowerOnDelay (self)
| GetBoardEEPROMParsingResult (self)
| SetPositiveCurrentLimitIcc1c (self, val)
| GetPositiveCurrentLimitIcc1c (self)
| SetNegativeCurrentLimitIcc1c (self, val)
| GetNegativeCurrentLimitIcc1c (self)
| SetOutCalCoefPositive (self, value)
| GetOutCalCoefPositive (self)
| SetOutCalCoefNegative (self, value)
| GetOutCalCoefNegative (self)
| SetAinCalCoef (self, channel, value)
| GetAinCalCoef (self)
| SetIntUCalCoef (self, channel, value)
| GetIntUCalCoef (self, channel, byte_cnt=6)
| SetUinCalCoef (self, value)
| GetUinCalCoef (self, byte_cnt=6)
| GetUfeCalCoef (self, byte_cnt=6)
| SetUfeCalCoef (self, value)
| LockEEPROM (self, enable=True)
| SetSerialNumber (self, serial)
| SetCalTimestamp (self, timestamp)
| SetOutTempCalI0 (self, value)
| GetOutTempCalI0 (self)
| SetOutTempCalImax (self, value)
| GetOutTempCalImax (self)
| SetOutTempCalImin (self, value)
| GetOutTempCalImin (self)

## Static Public Member Functions
| help ()

## Public Attributes
dict | eeprom_version
dict | eeprom_subversion
dict | part_number
dict | part_config
dict | prod_version
dict | I2C_slave_addr
dict | PWM_enable_chan_mask
dict | Device_detect_chan_mask
dict | Device_3V3_state_chan_mask
dict | PS_temp_limit
dict | PS_temp_hyst
dict | OS_temp_limit
dict | OS_temp_hyst
dict | Cal_timestamp
dict | Input_control_setup
dict | I2C_slave_num_of_registers
dict | Power_on_delay
dict | BoardEEPROM_parsing_result
dict | Positive_current_limit
dict | Negative_current_limit
dict | eeprom = {'id': self.sys_id << 8, 'type': bytes}
dict | serial_number = {'id': self.sys_id << 8 | 0x01, 'type': bytes}
dict | Out_cal_coef_ch0 = {'id': self.sys_id << 8 | 0x05, 'type': float}
dict | Out_cal_coef_ch1 = {'id': self.sys_id << 8 | 0x06, 'type': float}
dict | Ain_cal_coef_ch0 = {'id': self.sys_id << 8 | 0x09, 'type': float}
dict | Int_U_cal_coef_ch0 = {'id': self.sys_id << 8 | 0x11, 'type': float}
dict | Uin_cal_coef = {'id': self.sys_id << 8 | 0x15, 'type': float}
dict | Ufe_cal_coef = {'id': self.sys_id << 8 | 0x17, 'type': float}
dict | Temp_cal_I0 = {'id': self.sys_id << 8 | 0x1E, 'type': float}
dict | Temp_cal_Imax = {'id': self.sys_id << 8 | 0x1F, 'type': float}
dict | Temp_cal_Imin = {'id': self.sys_id << 8 | 0x20, 'type': float}

## Static Protected Attributes
bool | _is_a_system = False

## Detailed Description

Parent class => BoardEEPROM

    * Board EEPROM system ID: <b>0x20</b>
    *
    * Board EEPROM system provides read and write functionality to the EEPROM located in the driver.
    * By default EEPROM data are write protected. To write data, the user has to explicitly unlock
    * the EEPROM by writing the key value to the lock register.
    *
    * ### Register Map:
    *
    * | Address | Name                           | Default Value | Description                                                       | Type   | Access    |
    * |---------|--------------------------------|---------------|-------------------------------------------------------------------|--------|-----------|
    * | 0x2000  | Lock                           | 1             | write the key to unlock, anything else to lock                    | float  | read write|
    * | 0x2001  | Board EEPROM version           | 18            |                                                                   | uint16 | read only |
    * | 0x2002  | Board EEPROM subversion        | N/A           |                                                                   | uint8  | read only |
    * | 0x2003  | Part number                    | N/A           | Part number as an integer (14594400)                              | uint32 | read only |
    * | 0x2004  | Part configuration             | N/A           |                                                                   | uint8  | read only |
    * | 0x2005  | Product version                | N/A           |                                                                   | uint8  | read only |
    * | 0x2009  | I2C slave address              | 0x20          |  Address for I2C communication. Device responds to this address   | uint8  | read write|
    * | 0x200D  | PWM_enable_chan_mask           | 1             | Enable output PWM driver IC on channel (bitwise)                  | uint8  | read write|
    * | 0x200E  | Device_detect_chan_mask        | 1             | Enable autodetection on channel (bitwise)                         | uint8  | read write|
    * | 0x200F  | Device_3V3_state_chan_mask     | 0             | Enable device 3V3 startup state on channel (bitwise)              | uint8  | read write|
    * | 0x2010  | PS_temp_limit                  | 105           | Power supply temperature limit for shutdown                       | float  | read write|
    * | 0x2011  | PS_temp_hyst                   | 95            | Power supply temperature hysteresis for restart                   | float  | read write|
    * | 0x2012  | OS_temp_limit                  | 110           | Output stage temperature limit for shutdown                       | float  | read write|
    * | 0x2013  | OS_temp_hyst                   | 100           | Output stage temperature hysteresis for restart                   | float  | read write|
    * | 0x2015  | Calibration Time-stamp         | N/A           | Unix Time format (seconds since 1.1.1970)                         | uint32 | read write|
    * | 0x2016  | Input interface configuration  | 0-Autobaudrate| Configuration of UART baudrate in Baud/s                          | uint32 | read write|
    * | 0x2017  | Slave I2C register count       | 2             | Set # of registers which can be read in one SignalFlow loop 1/2/4 | uint32 | read write|
    * | 0x2018  | Power On Delay                 | 0             | Delay before board initialisation in milliseconds (0-65535)       | uint32 | read write|
    * | 0x2019  | Board EEPROM Parsing result    | 0             | Result of Board EEPROM parsing. Value 0 means OK. See error codes | uint32 | read only |
    * | 0x201A  | Positive current limit         | 318           | Positive current limit for unknown devices in mA                  | uint16 | read write|
    * | 0x201B  | Negative current limit         | 318           | Negative current limit for unknown devices in mA                  | uint16 | read write|
    *
    * The board EEPROM system supports the following vectors (vectors have their own address space):
    *
    * | Address | Name                           | Default  | Description                 | Format and value |
    * |---------|--------------------------------|----------|-----------------------------|------------------|
    * | 0x2000  | Board EEPROM                   |   N/A    | supports bytes up to 0x2000 |                  |
    * | 0x2001  | Board serial number            |   N/A    | 8 bytes                     | read only        |
    * | 0x2005  | Output drive cal.coeff. posit  |   N/A    | 6 * float (24 bytes)        | float            |
    * | 0x2006  | Output drive cal.coeff. negat  |   N/A    | 6 * float (24 bytes)        | float            |
    * | 0x2009  | Input analog cal.coeff.        |   N/A    | 6 * float (24 bytes)        | float            |
    * | 0x2011  | Int.meas.voltage cal.c. chan0  |   N/A    | 2 * float (24 bytes)        | float            |
    * | 0x2015  | Int.meas. Uin cal.coefficient  |   N/A    | 6 * float (24 bytes)        | float            |
    * | 0x2017  | Int.meas. Ufe cal.coefficient  |   N/A    | 2 * float (24 bytes)        | float            |
    * | 0x201E  | Temp calibration for I0        |   N/A    | 4 * float (12 bytes)        | float            |
    * | 0x201F  | Temp calibration for Imax      |   N/A    | 4 * float (12 bytes)        | float            |
    * | 0x2020  | Temp calibration for Imin      |   N/A    | 4 * float (12 bytes)        | float            |
    * |---------|--------------------------------|----------|-----------------------------|------------------|

## Constructor & Destructor Documentation

## ◆ __init__()

optoICC.registers.boardEEPROM_registers.ECC1cBoardEEPROM.__init__ | ( |  | self,
|  |  | board = None )

## Member Function Documentation

## ◆ help()

optoICC.registers.boardEEPROM_registers.ECC1cBoardEEPROM.help | ( |  | ) |
| static

## ◆ GetEepromVersion()

optoICC.registers.boardEEPROM_registers.ECC1cBoardEEPROM.GetEepromVersion | ( |  | self | ) |

Gets board EEPROM version.

## ◆ GetEepromSubVersion()

optoICC.registers.boardEEPROM_registers.ECC1cBoardEEPROM.GetEepromSubVersion | ( |  | self | ) |

Gets board EEPROM subversion.

## ◆ GetSerialNumber()

optoICC.registers.boardEEPROM_registers.ECC1cBoardEEPROM.GetSerialNumber | ( |  | self | ) |

Gets board serial number.

## ◆ GetI2Caddr()

optoICC.registers.boardEEPROM_registers.ECC1cBoardEEPROM.GetI2Caddr | ( |  | self | ) |

Gets board I2C address.

## ◆ SetI2Caddr()

optoICC.registers.boardEEPROM_registers.ECC1cBoardEEPROM.SetI2Caddr | ( |  | self,
|  |  | addr )

Sets board I2C address.

## ◆ SetPWMenableChanMask()

optoICC.registers.boardEEPROM_registers.ECC1cBoardEEPROM.SetPWMenableChanMask | ( |  | self,
|  |  | mask )

Enables output PWM driver IC on channel (bitwise), 0 bit = channel 0, 1 bit = channel 1, ...

## ◆ GetPWMenableChanMask()

optoICC.registers.boardEEPROM_registers.ECC1cBoardEEPROM.GetPWMenableChanMask | ( |  | self | ) |

Gets flag which enables output PWM driver IC on channel (bitwise), 0 bit = channel 0, 1 bit = channel 1, ...

## ◆ SetDeviceDetectChanMask()

optoICC.registers.boardEEPROM_registers.ECC1cBoardEEPROM.SetDeviceDetectChanMask | ( |  | self,
|  |  | val )

Enables device autodetection (bitwise), 0 bit = channel 0, 1 bit = channel 1, ...

## ◆ GetDeviceDetectChanMask()

optoICC.registers.boardEEPROM_registers.ECC1cBoardEEPROM.GetDeviceDetectChanMask | ( |  | self | ) |

Gets device autodetection flag (bitwise), 0 bit = channel 0, 1 bit = channel 1, ...

## ◆ SetDevice3V3chanMask()

optoICC.registers.boardEEPROM_registers.ECC1cBoardEEPROM.SetDevice3V3chanMask | ( |  | self,
|  |  | val )

Enables device 3V3 startup state on channel (bitwise), 0 bit = channel 0, 1 bit = channel 1, ...

## ◆ GetDevice3V3chanMask()

optoICC.registers.boardEEPROM_registers.ECC1cBoardEEPROM.GetDevice3V3chanMask | ( |  | self | ) |

Gets device 3V3 startup state flag on channel (bitwise), 0 bit = channel 0, 1 bit = channel 1, ...

## ◆ SetPStempLimit()

optoICC.registers.boardEEPROM_registers.ECC1cBoardEEPROM.SetPStempLimit | ( |  | self,
|  |  | val )

Sets power supply temperature limit for shutdown.

## ◆ GetPStempLimit()

optoICC.registers.boardEEPROM_registers.ECC1cBoardEEPROM.GetPStempLimit | ( |  | self | ) |

Gets power supply temperature limit for shutdown.

## ◆ SetPStempHyst()

optoICC.registers.boardEEPROM_registers.ECC1cBoardEEPROM.SetPStempHyst | ( |  | self,
|  |  | val )

Sets power supply temperature hysteresis for restart.

## ◆ GetPStempHyst()

optoICC.registers.boardEEPROM_registers.ECC1cBoardEEPROM.GetPStempHyst | ( |  | self | ) |

Gets power supply temperature hysteresis for restart.

## ◆ SetOStempLimit()

optoICC.registers.boardEEPROM_registers.ECC1cBoardEEPROM.SetOStempLimit | ( |  | self,
|  |  | val )

Sets output stage temperature limit for shutdown.

## ◆ GetOStempLimit()

optoICC.registers.boardEEPROM_registers.ECC1cBoardEEPROM.GetOStempLimit | ( |  | self | ) |

Gets output stage temperature limit for shutdown.

## ◆ SetOStempHyst()

optoICC.registers.boardEEPROM_registers.ECC1cBoardEEPROM.SetOStempHyst | ( |  | self,
|  |  | val )

Sets output stage temperature hysteresis for restart.

## ◆ GetOStempHyst()

optoICC.registers.boardEEPROM_registers.ECC1cBoardEEPROM.GetOStempHyst | ( |  | self | ) |

Gets output stage temperature hysteresis for restart.

## ◆ GetCalTimestamp()

optoICC.registers.boardEEPROM_registers.ECC1cBoardEEPROM.GetCalTimestamp | ( |  | self | ) |

Gets board calibration timestamp.

## ◆ SetAutoConfig()

optoICC.registers.boardEEPROM_registers.ECC1cBoardEEPROM.SetAutoConfig | ( |  | self,
|  |  | val )

## ◆ GetAutoConfig()

optoICC.registers.boardEEPROM_registers.ECC1cBoardEEPROM.GetAutoConfig | ( |  | self | ) |

## ◆ SetControlSetup()

optoICC.registers.boardEEPROM_registers.ECC1cBoardEEPROM.SetControlSetup | ( |  | self,
|  |  | addr )

## ◆ GetControlSetup()

optoICC.registers.boardEEPROM_registers.ECC1cBoardEEPROM.GetControlSetup | ( |  | self | ) |

## ◆ SetSlaveNumOfRegisters()

optoICC.registers.boardEEPROM_registers.ECC1cBoardEEPROM.SetSlaveNumOfRegisters | ( |  | self,
|  |  | addr )

## ◆ GetSlaveNumOfRegisters()

optoICC.registers.boardEEPROM_registers.ECC1cBoardEEPROM.GetSlaveNumOfRegisters | ( |  | self | ) |

## ◆ SetPowerOnDelay()

optoICC.registers.boardEEPROM_registers.ECC1cBoardEEPROM.SetPowerOnDelay | ( |  | self,
|  |  | val )

## ◆ GetPowerOnDelay()

optoICC.registers.boardEEPROM_registers.ECC1cBoardEEPROM.GetPowerOnDelay | ( |  | self | ) |

## ◆ GetBoardEEPROMParsingResult()

optoICC.registers.boardEEPROM_registers.ECC1cBoardEEPROM.GetBoardEEPROMParsingResult | ( |  | self | ) |

## ◆ SetPositiveCurrentLimitIcc1c()

optoICC.registers.boardEEPROM_registers.ECC1cBoardEEPROM.SetPositiveCurrentLimitIcc1c | ( |  | self,
|  |  | val )

## ◆ GetPositiveCurrentLimitIcc1c()

optoICC.registers.boardEEPROM_registers.ECC1cBoardEEPROM.GetPositiveCurrentLimitIcc1c | ( |  | self | ) |

## ◆ SetNegativeCurrentLimitIcc1c()

optoICC.registers.boardEEPROM_registers.ECC1cBoardEEPROM.SetNegativeCurrentLimitIcc1c | ( |  | self,
|  |  | val )

## ◆ GetNegativeCurrentLimitIcc1c()

optoICC.registers.boardEEPROM_registers.ECC1cBoardEEPROM.GetNegativeCurrentLimitIcc1c | ( |  | self | ) |

## ◆ SetOutCalCoefPositive()

optoICC.registers.boardEEPROM_registers.ECC1cBoardEEPROM.SetOutCalCoefPositive | ( |  | self,
|  |  | value )

## ◆ GetOutCalCoefPositive()

optoICC.registers.boardEEPROM_registers.ECC1cBoardEEPROM.GetOutCalCoefPositive | ( |  | self | ) |

## ◆ SetOutCalCoefNegative()

optoICC.registers.boardEEPROM_registers.ECC1cBoardEEPROM.SetOutCalCoefNegative | ( |  | self,
|  |  | value )

## ◆ GetOutCalCoefNegative()

optoICC.registers.boardEEPROM_registers.ECC1cBoardEEPROM.GetOutCalCoefNegative | ( |  | self | ) |

## ◆ SetAinCalCoef()

optoICC.registers.boardEEPROM_registers.ECC1cBoardEEPROM.SetAinCalCoef | ( |  | self,
|  |  | channel,
|  |  | value )

## ◆ GetAinCalCoef()

optoICC.registers.boardEEPROM_registers.ECC1cBoardEEPROM.GetAinCalCoef | ( |  | self | ) |

## ◆ SetIntUCalCoef()

optoICC.registers.boardEEPROM_registers.ECC1cBoardEEPROM.SetIntUCalCoef | ( |  | self,
|  |  | channel,
|  |  | value )

## ◆ GetIntUCalCoef()

optoICC.registers.boardEEPROM_registers.ECC1cBoardEEPROM.GetIntUCalCoef | ( |  | self,
|  |  | channel,
|  |  | byte_cnt = 6 )

## ◆ SetUinCalCoef()

optoICC.registers.boardEEPROM_registers.ECC1cBoardEEPROM.SetUinCalCoef | ( |  | self,
|  |  | value )

## ◆ GetUinCalCoef()

optoICC.registers.boardEEPROM_registers.ECC1cBoardEEPROM.GetUinCalCoef | ( |  | self,
|  |  | byte_cnt = 6 )

## ◆ GetUfeCalCoef()

optoICC.registers.boardEEPROM_registers.ECC1cBoardEEPROM.GetUfeCalCoef | ( |  | self,
|  |  | byte_cnt = 6 )

## ◆ SetUfeCalCoef()

optoICC.registers.boardEEPROM_registers.ECC1cBoardEEPROM.SetUfeCalCoef | ( |  | self,
|  |  | value )

## ◆ LockEEPROM()

optoICC.registers.boardEEPROM_registers.ECC1cBoardEEPROM.LockEEPROM | ( |  | self,
|  |  | enable = True )

## ◆ SetSerialNumber()

optoICC.registers.boardEEPROM_registers.ECC1cBoardEEPROM.SetSerialNumber | ( |  | self,
|  |  | serial )

## ◆ SetCalTimestamp()

optoICC.registers.boardEEPROM_registers.ECC1cBoardEEPROM.SetCalTimestamp | ( |  | self,
|  |  | timestamp )

## ◆ SetOutTempCalI0()

optoICC.registers.boardEEPROM_registers.ECC1cBoardEEPROM.SetOutTempCalI0 | ( |  | self,
|  |  | value )

## ◆ GetOutTempCalI0()

optoICC.registers.boardEEPROM_registers.ECC1cBoardEEPROM.GetOutTempCalI0 | ( |  | self | ) |

## ◆ SetOutTempCalImax()

optoICC.registers.boardEEPROM_registers.ECC1cBoardEEPROM.SetOutTempCalImax | ( |  | self,
|  |  | value )

## ◆ GetOutTempCalImax()

optoICC.registers.boardEEPROM_registers.ECC1cBoardEEPROM.GetOutTempCalImax | ( |  | self | ) |

## ◆ SetOutTempCalImin()

optoICC.registers.boardEEPROM_registers.ECC1cBoardEEPROM.SetOutTempCalImin | ( |  | self,
|  |  | value )

## ◆ GetOutTempCalImin()

optoICC.registers.boardEEPROM_registers.ECC1cBoardEEPROM.GetOutTempCalImin | ( |  | self | ) |

## Member Data Documentation

## ◆ _is_a_system

bool optoICC.registers.boardEEPROM_registers.ECC1cBoardEEPROM._is_a_system = False
| static protected

## ◆ eeprom_version

dict optoICC.registers.boardEEPROM_registers.ECC1cBoardEEPROM.eeprom_version

Initial value:
= {'id': self.sys_id << 8 | 0x01, 'type': int, 'unit': None, 'range': None,
'default': None,
'value': None}

## ◆ eeprom_subversion

dict optoICC.registers.boardEEPROM_registers.ECC1cBoardEEPROM.eeprom_subversion

Initial value:
= {'id': self.sys_id << 8 | 0x02, 'type': int, 'unit': None, 'range': None,
'default':
None, 'value': None}

## ◆ part_number

dict optoICC.registers.boardEEPROM_registers.ECC1cBoardEEPROM.part_number

Initial value:
= {'id': self.sys_id << 8 | 0x03, 'type': int, 'unit': None, 'range': None,
'default': None, 'value': None}

## ◆ part_config

dict optoICC.registers.boardEEPROM_registers.ECC1cBoardEEPROM.part_config

Initial value:
= {'id': self.sys_id << 8 | 0x04, 'type': int, 'unit': None, 'range': None,
'default': None, 'value': None}

## ◆ prod_version

dict optoICC.registers.boardEEPROM_registers.ECC1cBoardEEPROM.prod_version

Initial value:
= {'id': self.sys_id << 8 | 0x05, 'type': int, 'unit': None, 'range': None,
'default': None, 'value': None}

## ◆ I2C_slave_addr

dict optoICC.registers.boardEEPROM_registers.ECC1cBoardEEPROM.I2C_slave_addr

Initial value:
= {'id': self.sys_id << 8 | 0x09, 'type': int, 'unit': None, 'range': None,
'default': None, 'value': None}

## ◆ PWM_enable_chan_mask

dict optoICC.registers.boardEEPROM_registers.ECC1cBoardEEPROM.PWM_enable_chan_mask

Initial value:
= {'id': self.sys_id << 8 | 0x0D, 'type': int, 'unit': None, 'range': None,
'default': None, 'value': None}

## ◆ Device_detect_chan_mask

dict optoICC.registers.boardEEPROM_registers.ECC1cBoardEEPROM.Device_detect_chan_mask

Initial value:
= {'id': self.sys_id << 8 | 0x0E, 'type': int, 'unit': None, 'range': None,
'default': None, 'value': None}

## ◆ Device_3V3_state_chan_mask

dict optoICC.registers.boardEEPROM_registers.ECC1cBoardEEPROM.Device_3V3_state_chan_mask

Initial value:
= {'id': self.sys_id << 8 | 0x0F, 'type': int, 'unit': None,
'range': None,
'default': None, 'value': None}

## ◆ PS_temp_limit

dict optoICC.registers.boardEEPROM_registers.ECC1cBoardEEPROM.PS_temp_limit

Initial value:
= {'id': self.sys_id << 8 | 0x10, 'type': float, 'unit': None, 'range': None,
'default':
None, 'value': None}

## ◆ PS_temp_hyst

dict optoICC.registers.boardEEPROM_registers.ECC1cBoardEEPROM.PS_temp_hyst

Initial value:
= {'id': self.sys_id << 8 | 0x11, 'type': float, 'unit': None, 'range': None,
'default':
None, 'value': None}

## ◆ OS_temp_limit

dict optoICC.registers.boardEEPROM_registers.ECC1cBoardEEPROM.OS_temp_limit

Initial value:
= {'id': self.sys_id << 8 | 0x12, 'type': float, 'unit': None, 'range': None,
'default':
None, 'value': None}

## ◆ OS_temp_hyst

dict optoICC.registers.boardEEPROM_registers.ECC1cBoardEEPROM.OS_temp_hyst

Initial value:
= {'id': self.sys_id << 8 | 0x13, 'type': float, 'unit': None, 'range': None,
'default':
None, 'value': None}

## ◆ Cal_timestamp

dict optoICC.registers.boardEEPROM_registers.ECC1cBoardEEPROM.Cal_timestamp

Initial value:
= {'id': self.sys_id << 8 | 0x15, 'type': int, 'unit': None, 'range': None,
'default': None, 'value': None}

## ◆ Input_control_setup

dict optoICC.registers.boardEEPROM_registers.ECC1cBoardEEPROM.Input_control_setup

Initial value:
= {'id': self.sys_id << 8 | 0x16, 'type': int, 'unit': None, 'range': None,
'default': None, 'value': None}

## ◆ I2C_slave_num_of_registers

dict optoICC.registers.boardEEPROM_registers.ECC1cBoardEEPROM.I2C_slave_num_of_registers

Initial value:
= {'id': self.sys_id << 8 | 0x17, 'type': int, 'unit': None,
'range': None,
'default': None, 'value': None}

## ◆ Power_on_delay

dict optoICC.registers.boardEEPROM_registers.ECC1cBoardEEPROM.Power_on_delay

Initial value:
= {'id': self.sys_id << 8 | 0x18, 'type': int, 'unit': None, 'range': None,
'default': None, 'value': None}

## ◆ BoardEEPROM_parsing_result

dict optoICC.registers.boardEEPROM_registers.ECC1cBoardEEPROM.BoardEEPROM_parsing_result

Initial value:
= {'id': self.sys_id << 8 | 0x19, 'type': int, 'unit': None,
'range': None,
'default': None, 'value': None}

## ◆ Positive_current_limit

dict optoICC.registers.boardEEPROM_registers.ECC1cBoardEEPROM.Positive_current_limit

Initial value:
= {'id': self.sys_id << 8 | 0x1A, 'type': int, 'unit': None, 'range': None,
'default': None, 'value': None}

## ◆ Negative_current_limit

dict optoICC.registers.boardEEPROM_registers.ECC1cBoardEEPROM.Negative_current_limit

Initial value:
= {'id': self.sys_id << 8 | 0x1B, 'type': int, 'unit': None, 'range': None,
'default': None, 'value': None}

## ◆ eeprom

dict optoICC.registers.boardEEPROM_registers.ECC1cBoardEEPROM.eeprom = {'id': self.sys_id << 8, 'type': bytes}

## ◆ serial_number

optoICC.registers.boardEEPROM_registers.ECC1cBoardEEPROM.serial_number = {'id': self.sys_id << 8 | 0x01, 'type': bytes}

## ◆ Out_cal_coef_ch0

optoICC.registers.boardEEPROM_registers.ECC1cBoardEEPROM.Out_cal_coef_ch0 = {'id': self.sys_id << 8 | 0x05, 'type': float}

## ◆ Out_cal_coef_ch1

optoICC.registers.boardEEPROM_registers.ECC1cBoardEEPROM.Out_cal_coef_ch1 = {'id': self.sys_id << 8 | 0x06, 'type': float}

## ◆ Ain_cal_coef_ch0

optoICC.registers.boardEEPROM_registers.ECC1cBoardEEPROM.Ain_cal_coef_ch0 = {'id': self.sys_id << 8 | 0x09, 'type': float}

## ◆ Int_U_cal_coef_ch0

optoICC.registers.boardEEPROM_registers.ECC1cBoardEEPROM.Int_U_cal_coef_ch0 = {'id': self.sys_id << 8 | 0x11, 'type': float}

## ◆ Uin_cal_coef

optoICC.registers.boardEEPROM_registers.ECC1cBoardEEPROM.Uin_cal_coef = {'id': self.sys_id << 8 | 0x15, 'type': float}

## ◆ Ufe_cal_coef

optoICC.registers.boardEEPROM_registers.ECC1cBoardEEPROM.Ufe_cal_coef = {'id': self.sys_id << 8 | 0x17, 'type': float}

## ◆ Temp_cal_I0

optoICC.registers.boardEEPROM_registers.ECC1cBoardEEPROM.Temp_cal_I0 = {'id': self.sys_id << 8 | 0x1E, 'type': float}

## ◆ Temp_cal_Imax

optoICC.registers.boardEEPROM_registers.ECC1cBoardEEPROM.Temp_cal_Imax = {'id': self.sys_id << 8 | 0x1F, 'type': float}

## ◆ Temp_cal_Imin

optoICC.registers.boardEEPROM_registers.ECC1cBoardEEPROM.Temp_cal_Imin = {'id': self.sys_id << 8 | 0x20, 'type': float}